summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2019-02-21 14:55:57 +0100
committerMichael Olbrich <m.olbrich@pengutronix.de>2019-02-21 15:09:05 +0100
commita1908d5b4b86f95f84e189a24487513ca326b6b1 (patch)
tree25657f010c9cfe5b3c6f7b403794c8de344b6cad
parent0e63f13f7acb9a1596f8c4046e6aa03a260e7b12 (diff)
downloadptxdist-a1908d5b4b86f95f84e189a24487513ca326b6b1.tar.gz
ptxdist-a1908d5b4b86f95f84e189a24487513ca326b6b1.tar.xz
ptxd_make_world_license_yaml: fix and improve patch information
Use ptxd_make_world_patchin_init to make sure that pkg_patch_dir is actually defined. Also add the series filename if patches are used and it has a non default filename. Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
-rw-r--r--scripts/lib/ptxd_make_world_license.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/scripts/lib/ptxd_make_world_license.sh b/scripts/lib/ptxd_make_world_license.sh
index c66bf5bc9..4f0a04922 100644
--- a/scripts/lib/ptxd_make_world_license.sh
+++ b/scripts/lib/ptxd_make_world_license.sh
@@ -237,6 +237,9 @@ ptxd_make_world_license_yaml() {
fi
do_list "sources:" "${pkg_srcs}"
do_echo "patches:" "${pkg_patch_dir}"
+ if [ "${pkg_patch_series}" != "series" -a -n "${pkg_patch_dir}" ]; then
+ do_echo "series:" "${pkg_patch_series}"
+ fi
do_echo "srcdir:" "${pkg_dir}"
do_echo "builddir:" "${pkg_build_dir}"
do_echo "pkgdir:" "${pkg_pkg_dir}"
@@ -444,7 +447,8 @@ ptxd_make_world_license_flags() {
export -f ptxd_make_world_license_flags
ptxd_make_world_license_init() {
- ptxd_make_world_init || return
+ # use patchin_init for pkg_patch_dir
+ ptxd_make_world_patchin_init || return
local name